# DYAutomate

Welcome to your new gem! In this directory, you'll find the files you need to be able to package up your Ruby library into a gem. Put your Ruby code in the file `lib/DYAutomate`. To experiment with that code, run `bin/console` for an interactive prompt.

TODO: Delete this and the text above, and describe your gem

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'DYAutomate'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install DYAutomate

## Usage

### 代码模版
- 自动生成代码
```
dj code
```
- 拷贝代码片段到xcode中
```
dj snippet
```

### 私有库
- 查看使用方法
```
dj pod -h
```
- 版本更改 1.1.1 -> 1.1.2
```
dj pod ver 1
```
或者
```
dj pod ver 0 1
```
- 版本更改 1.1.1 -> 1.2.0
```
dj pod ver 1 0
```
- 提交私有库
```
dj pod push
```

### workspce
- 项目pod update
```
dj ws up
```
- 项目pod install
```
dj ws in
```

## Development

After checking out the repo, run `bin/setup` to install dependencies. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

For build
```
bundle rake build
```

For push
```
gem push DYAutomate.gemspec
```
or ↓↓↓↓↓↓

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

有问题，可以
> Email：784767574@qq.com

## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).

## Code of Conduct

Everyone interacting in the DYAutomate project’s codebases, issue trackers, chat rooms and mailing lists is expected to follow the [code of conduct](https://github.com/[USERNAME]/DYAutomate/blob/master/CODE_OF_CONDUCT.md).
